Update Password

Sets or updates the Password for an Account using the UID.

PUT
/identity/v2/manage/account/{uid}/password

Sets or updates the Password for an Account using the UID.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Path Parameters

uid*string

The UID associated with the User

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Password*string

The new Password to be set for the Account.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/identity/v2/manage/account/43e4417bd2de4a1fa82445274f864203/password" \  -H "Content-Type: application/json" \  -d '{    "Password": "SecurePassword123!"  }'
{
  "PasswordHash": "$2a$12$eImiTXuWVxfM37uY4JANjQ=="
}

{
  "Message": "Password is required",
  "ErrorCode": 908,
  "Description": "The password is required in order to process this request."
}

{
  "ErrorCode": 902,
  "Message": "The API secret is unauthorized",
  "Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "ErrorCode": 1216,
  "Message": "Weak password",
  "Description": "A potential password vulnerability was detected."
}